osl::move_classifier::TrapRook< P > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | Static Private Member Functions | List of all members
osl::move_classifier::TrapRook< P > Struct Template Reference

`#include <trapRook.h>`

## Public Member Functions
template<osl::Direction Dir>
bool | testDirection (const NumEffectState &state, Square initial)

## Static Public Member Functions
static bool | isMember (const NumEffectState &state, Ptype ptype, Square from, Square to)

## Static Private Member Functions
template<Direction Dir>
static bool | testDirection (const NumEffectState &state, Square initial)

## Detailed Description

### template<Player P>
struct osl::move_classifier::TrapRook< P >

Parameters

  指す側 | alt(P)の飛車を封じ込める(のに結構な確率で貢献する)手かどうか

Definition at line 15 of file trapRook.h.

## Member Function Documentation

template<osl::Player P>

bool osl::move_classifier::TrapRook< P >::isMember | ( | const NumEffectState & | state,
|  | Ptype | ptype,
|  | Square | from,
|  | Square | to
| ) |  |
| static

Definition at line 31 of file trapRook.cc.

References osl::alt(), osl::Piece::canMoveOn(), osl::Piece::isEmpty(), osl::Piece::isOnBoardByOwner(), osl::Square::isPieceStand(), osl::newPtypeO(), osl::PAWN, osl::Piece::ptypeO(), and osl::ROOK.

template<Player P>
template<osl::Direction Dir>

bool osl::move_classifier::TrapRook< P >::testDirection | ( | const NumEffectState & | state,
|  | Square | initial
| ) |  |

Definition at line 9 of file trapRook.cc.

References osl::Piece::canMoveOn(), osl::Piece::isEmpty(), and osl::Piece::isOnBoardByOwner().

template<Player P>
template<Direction Dir>

static bool osl::move_classifier::TrapRook< P >::testDirection | ( | const NumEffectState & | state,
|  | Square | initial
| ) |  |
| staticprivate

The documentation for this struct was generated from the following files:

- trapRook.h
- trapRook.cc